Bug 499749 - Review Request: unoconv - Tool to convert between any document format supported by OpenOffice.org
Summary: Review Request: unoconv - Tool to convert between any document format support...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Nalley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-07 22:29 UTC by Orcan Ogetbil
Modified: 2009-05-28 08:15 UTC (History)
5 users (show)

Fixed In Version: 0.3-3.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-28 08:01:32 UTC
david: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Orcan Ogetbil 2009-05-07 22:29:26 UTC
Spec URL: http://oget.fedorapeople.org/review/unoconv.spec
SRPM URL: http://oget.fedorapeople.org/review/unoconv-0.3-3.fc10.src.rpm
Description: 
unoconv converts between any document format that OpenOffice understands. It
uses OpenOffice.org's UNO bindings for non-interactive conversion of documents.

Supported document formats include Open Document Format (.odf), MS Word (.doc),
MS Office Open/MS OOXML (.xml), Portable Document Format (.pdf), HTML, XHTML,
RTF, Docbook (.xml), and more.


rpmlint is silent

Comment 1 Susi Lehtola 2009-05-08 08:04:57 UTC
Did you actually get this to work? I updated the spec too to fix the packaging stuff, but was unable to do anything with unoconv, so I didn't submit the package for review..

For me it fails every time with the error:
Error: Unable to connect or start own listener. Aborting.

Funny, now that I tried it again it failed the first time but then worked after that.

Comment 2 David Nalley 2009-05-08 12:53:34 UTC
OK: rpmlint must be run on every package. The output should be posted in the review.
[ke4qqq@nalleyt61 SPECS]$ rpmlint unoconv.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../SRPMS/unoconv-0.3-3.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../RPMS/noarch/unoconv-0.3-3.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
GPLv2 in both the COPYING file and the unoconv file
OK: The License field in the package spec file must match the actual license. 
Spec file indicates GPLv2
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. 
[ke4qqq@nalleyt61 SOURCES]$ md5sum unoconv-0.3.tar.bz2*
e6b33a2041137d8ebae1b71396ec0641  unoconv-0.3.tar.bz2
e6b33a2041137d8ebae1b71396ec0641  unoconv-0.3.tar.bz2.1

OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1342449
NA: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
NA: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense. (no real build)
NA: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden
NA: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
NA: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
NA: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
NA: Header files must be in a -devel package. 
NA: Static libraries must be in a -static package. 
NA: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
NA: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
NA: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
NA: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
NA: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8.

Comment 3 David Nalley 2009-05-08 13:08:17 UTC
This seems to work fine as long as OO.o has an instance started. 
I tried without an instance started and it failed (though the man page states that it will instantiate a session) I think the problem arose from OO.o, as when I manually launched it left me waiting for user interaction due to wanting to recover files. 
However after closing OO.o cleanly it started a session and performed the conversion without problem. 

Seems to work per the docs. 

Package APPROVED

Comment 4 Orcan Ogetbil 2009-05-08 18:05:07 UTC
Thanks David!

I didn't have an issue with unoconv until I read your message.

I just tried it with some documents I had. It works with most of them but it consistently fails with some others. I'll let you know if I find a solution.

Would you like to comaintain?

New Package CVS Request
=======================
Package Name: unoconv
Short Description: 
Tool to convert between any document format supported by OpenOffice.org

Owners: oget
Branches: F-9 F-10 F-11
InitialCC:

Comment 5 David Nalley 2009-05-08 18:20:28 UTC
I think you actually mean Jussi instead of me. 
The only problems I ran into were when I tried to swap types - ie, I tried to move ods to doc (as opposed to odt to doc which worked well)

Comment 6 Orcan Ogetbil 2009-05-08 18:35:58 UTC
Oops sorry, yes I meant Jussi. Jussi, would you like to comaintain?

But I'm fine if you'd like to join too, David.

Comment 7 Susi Lehtola 2009-05-08 20:59:04 UTC
(In reply to comment #6)
> Oops sorry, yes I meant Jussi. Jussi, would you like to comaintain?

Sure, I can help, although from a packaging point of view this package is really simple..

Comment 8 Orcan Ogetbil 2009-05-09 04:27:20 UTC
In case you find solutions to the issues, you can update the package.


****** UPDATED *******

New Package CVS Request
=======================
Package Name: unoconv
Short Description: 
Tool to convert between any document format supported by OpenOffice.org

Owners: oget jussilehtola
Branches: F-9 F-10 F-11
InitialCC: 

**********************

Comment 9 Kevin Fenzi 2009-05-09 21:09:37 UTC
cvs done.

Comment 10 Fedora Update System 2009-05-10 00:06:40 UTC
unoconv-0.3-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/unoconv-0.3-3.fc11

Comment 11 Fedora Update System 2009-05-10 00:07:22 UTC
unoconv-0.3-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/unoconv-0.3-3.fc10

Comment 12 Fedora Update System 2009-05-10 00:08:02 UTC
unoconv-0.3-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/unoconv-0.3-3.fc9

Comment 13 Fedora Update System 2009-05-12 04:01:44 UTC
unoconv-0.3-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update unoconv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4774

Comment 14 Fedora Update System 2009-05-12 04:04:44 UTC
unoconv-0.3-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update unoconv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4800

Comment 15 Fedora Update System 2009-05-12 04:07:50 UTC
unoconv-0.3-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update unoconv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4816

Comment 16 Fedora Update System 2009-05-28 08:01:26 UTC
unoconv-0.3-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-05-28 08:05:38 UTC
unoconv-0.3-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-05-28 08:15:42 UTC
unoconv-0.3-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.